Mailinglist Archive: opensuse-factory (401 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190320 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190320

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
Mesa (18.3.4 -> 19.0.0)
Mesa-drivers (18.3.4 -> 19.0.0)
a2ps
acpica (20180629 -> 20190215)
alsa-tools
autofs
btrfsmaintenance
dracut (044.1 -> 044.2)
dtc (1.4.7 -> 1.5.0)
ethtool (4.19 -> 5.0)
fuse3 (3.3.0 -> 3.4.2)
geocode-glib (3.26.0 -> 3.26.1)
gtk3 (3.24.5 -> 3.24.7)
health-checker (1.2 -> 1.2.1)
hwinfo (21.63 -> 21.64)
kernel-firmware (20190221 -> 20190312)
lftp
libvirt
libyui-qt (2.49.15 -> 2.49.16)
llvm7
open-vm-tools
perl-DateTime-Format-Builder (0.81 -> 0.82)
perl-Glib
perl-Sub-Quote (2.005001 -> 2.006003)
perl-libwww-perl (6.36 -> 6.37)
php7
python-passlib
re2 (20190101 -> 20190301)
rubygem-pkg-config (1.3.2 -> 1.3.6)
sshfs (3.5.0 -> 3.5.1)
tlp (1.2 -> 1.2.1)
tracker (2.1.8 -> 2.2.1)
tracker-miners (2.1.6 -> 2.2.1)
transactional-update (2.13.2 -> 2.14)
ucode-intel (20180807a -> 20190312)
unbound (1.8.3 -> 1.9.1)
webkit2gtk3 (2.22.7 -> 2.24.0)
xfce4-screenshooter (1.9.3 -> 1.9.4)

=== Details ===

==== Mesa ====
Version update (18.3.4 -> 19.0.0)
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1

- Update to 19.0.0
* bug fixes and performance improvements
- adjusted n_drirc-disable-rgb10-for-chromium-on-amd.patch
- supersedes u_wayland_egl-Ensure-EGL-surface.patch

==== Mesa-drivers ====
Version update (18.3.4 -> 19.0.0)
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- Update to 19.0.0
* bug fixes and performance improvements
- adjusted n_drirc-disable-rgb10-for-chromium-on-amd.patch
- supersedes u_wayland_egl-Ensure-EGL-surface.patch

==== a2ps ====

- Implement shared library packaging policy.
- Remove --with-pic which is useless with --disable-static.
- Use noun phrase in summary.
- Resolve PreReq FIXMEs.

==== acpica ====
Version update (20180629 -> 20190215)

- Update to version 20190215
Support for ACPI specification version 6.3:
* Add PCC operation region support for the AML interpreter. This adds PCC
operation region support in the AML interpreter and a default handler for
acpiexec. The change also renames the PCC region address space keyword to
PlatformCommChannel.
* Support for new predefined methods _NBS, _NCH, _NIC, _NIH, and _NIG.
These methods provide OSPM with health information and device boot
status.
* PDTT: Add TriggerOrder to the PCC Identifier structure. The field value
defines if the trigger needs to be invoked by OSPM before or at the end
of kernel crash dump processing/handling operation.
* SRAT: Add Generic Affinity Structure subtable. This subtable in the SRAT
is used for describing devices such as heterogeneous processors,
accelerators, GPUs, and IO devices with integrated compute or DMA
engines.
* MADT: Add support for statistical profiling in GICC. Statistical
profiling extension (SPE) is an architecture-specific feature for ARM.
* MADT: Add online capable flag. If this bit is set, system hardware
supports enabling this processor during OS runtime.
* New Error Disconnect Recover Notification value. There are a number of
scenarios where system Firmware in collaboration with hardware may
disconnect one or more devices from the rest of the system for purposes
of error containment. Firmware can use this new notification value to
alert OSPM of such a removal.
* PPTT: New additional fields in Processor Structure Flags. These flags
provide more information about processor topology.
* NFIT/Disassembler: Change a field name from "Address Range" to "Region
Type".
* HMAT updates: make several existing fields to be reserved as well as
rename subtable 0 to "memory proximity domain attributes".
* GTDT: Add support for new GTDT Revision 3. This revision adds information
for the EL2 timer.
* iASL: Update the HMAT example template for new fields.
* iASL: Add support for the new revision of the GTDT (Rev 3).
ACPICA kernel-resident subsystem:
* AML Parser: fix the main AML parse loop to correctly skip erroneous
extended opcodes. AML opcodes come in two lengths: 1-byte opcodes and 2-
byte extended opcodes. If an error occurs during an AML table load, the
AML parser will continue loading the table by skipping the offending
opcode. This implements a "load table at any cost" philosophy.
iASL Compiler/Disassembler and Tools:
* iASL: Add checks for illegal object references, such as a reference
outside of method to an object within a method. Such an object is only
temporary.
* iASL: Emit error for creation of a zero-length operation region. Such a
region is rather pointless. If encountered, a runtime error is also
implemented in the interpeter.
* Debugger: Fix a possible fault with the "test objects" command.
* iASL: Makefile: support parent directory filenames containing embedded
spaces.
* iASL: Update the TPM2 template to revision 4.
* iASL: Add the ability to report specific warnings or remarks as errors.
* Disassembler: Disassemble OEMx tables as actual AML byte code.
Previously, these tables were treated as "unknown table".
* iASL: Add definition and disassembly for TPM2 revision 3.
* iASL: Add support for TPM2 rev 3 compilation.
- Refresh patches
- Run spec-cleaner

==== alsa-tools ====

- Remove %if..%endif guards that do not affect the build.
- Implement shared library packaging policy.
- Update historic boilerplate summary for ld10k1-devel.
- Remove old BuildRoot: and %defattr.

==== autofs ====

- Drop pre-12.2 parts from build recipe
- Switch %systemd_requires to %systemd_ordering, since %service_*
can deal with its absence.

==== btrfsmaintenance ====

- Document and adjust balance thresholds and periods (FATE#325529 jsc#SLE-3188).
* README: document impact of balance + quota groups
* sysconfig: reduce default balance usage thresholds
* sysconfig: document using systemd.time(7) for frequency of operations
* btrfsmaintenance-refresh-cron.sh: validate periods for cron-based systems
- Remove python dependency (FATE#326736 jsc#SLE-4130).
* btrfs-defrag-plugin: remove dependency on zypp-plugin-python
- Added patches:
* 0001-README-document-impact-of-balance-quota-groups.patch
* 0002-sysconfig-reduce-default-balance-usage-thresholds-fa.patch
* 0003-sysconfig-document-using-systemd.time-7-for-frequenc.patch
* 0004-btrfsmaintenance-refresh-cron.sh-validate-periods-fo.patch
* 0005-btrfs-defrag-plugin-remove-dependency-on-zypp-plugin.patch
- Added source:
* btrfs-defrag-plugin.sh
- Removed patch:
* python3-support-bsc1070322.diff
- update to version 0.4.2
- CVE-2018-14722: expand auto mountpoints in a safe way
- btrfs-defrag: fix missing function to detect btrfs filesystems (#52)
- btrfs-trim: more verbose fstrim output (#60)
- dist-install: print information about timer unit installation (#58)
- In openSUSE the defrag plugin must explicitly refer to Python 3.
(bsc#1070322)
- Added patch: python3-support-bsc1070322.diff
- update to version 0.4.1
- defrag plugin: python2 and 3 compatibility
- defrag plugin: target extent size lowered to 32MiB (#43)
- shell compatibility fixes
- systemd unit type fixes
- Removed patch: python3-support-bsc1070322.diff (upstream)
- Add missing btrfsmaintenance-refresh.path [bsc#1084871]
- Use %license [bsc#1082318]
- Move the defrag plugin over to Python 3. (bsc#1070322)
- Added patch: python3-support-bsc1070322.diff
- update to version 0.4
- add support for systemd timers and use them by default; the alternative
cron scripts are still present (#29, #36)
- add automatic monitoring (via systemd.path) of the config file,
no manual updates by btrfsmaintenance-refresh.service needed (#38)
- fix RPM database path detection
- spec file cleanups
- documentation updates
- removed patches:
- btrfsmaintenance-0.3.1-fix-rpm-db-path.patch (upstream)
- btrfsmaintenance-switch-to-timer.patch (upstream)
- pull-request-36.patch (upstream)
- Fix systemd timers enabled even if period is set to none:
* Micro change in pull-request-36.patch (bsc#1075884)
- Clean spec file:
* Removed support for suse_version <= 1210.
* Removed call to btrfsmaintenance-refresh-cron.sh upon deletion
(not needed anymore since we use systemd timers which are
handled by macros).
* Ran spec-cleaner.
- Switch default of btrfsmaintenance-refresh.service to systemd-timer,
too (btrfsmaintenance-switch-to-timer.patch) [bsc#1073204]
- pull-request-36.patch: update patch
- Don't call btrfsmaintenance-refresh-cron.sh in %post, this is
done already by the systemd macros
- Add patch to use systemd timer instead of cron (pull-request-36.patch)
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
- Fix cron symlinks removal upon package upgrade (boo#904518):
* The problem was in the preun section (in the old RPM).
* This means the symlinks are removed by this update, but won't
be by the next ones.
* Please run 'systemctl start btrfsmaintenance-refresh' one more
time to fix your symlinks.
- Add btrfsmaintenance-0.3.1-fix-rpm-db-path.patch:
* Change RPM database path to /usr/lib/sysimage/rpm for
Tumbleweed.
- Require btrfsprogs (bsc#1047226)
- version 0.3.1
- dist-install: fix installation paths, install functions
- functions: fix syntax to be compatible with dash
- spec: install functions file
- version 0.3
- add syslog to logging targets
- add none target (/dev/null)
- autodetect btrfs filesystems for balance, scrub and trim
- detect mixed blockgroups and use correct balance filters
- fix uninstall rules
- fix capturing entire output to the log
- fix when cron files are symlinks
- add generic installation script
- doc updates: retention policy tuning
- version 0.2
- updated documentation
- support debian-like configuration paths
- no hardcoded paths to external utilities
- fixed logger name typos for 'journal' target
- defrag fixes (sysconfig, find arguments)
- version 0.1.2
- change default config for trim: off
- journal loggin should work (fixed a typo)
- version 0.1.1
- fix typo and make journal logging target work
- cron refresh: remove bashism
- cron refresh: remove debugging messages
- post installation must create the cron links (bsc#904518)
- Removed patches:
* btrfsmaintenance-0.1-fix-bashisms.patch
- fix bashism in btrfsmaintenance-refresh-cron.sh script
- add patches:
* btrfsmaintenance-0.1-fix-bashisms.patch
- add COPYING, README.md
- add config option to specify log target (stdout, or journal)

==== dracut ====
Version update (044.1 -> 044.2)

- Bump version to 044.2 to provide a version to lock on to (bsc#1127891)

==== dtc ====
Version update (1.4.7 -> 1.5.0)

- Upgrade to version 1.5.0:
* Added i2c-bus and spi-bus support
* New "-T" option: "Annotate output .dts with input source file
and line"
* Added YAML output format
* Record source positions
* Use inttypes.h macros for printing.
* Fix some minor bugs which may lead to SIGSEGV.
* Adjusted source URL to working path
[bug#1128943, use-tx-as-the-type-specifier-instead-of-zx.patch]

==== ethtool ====
Version update (4.19 -> 5.0)

- Hide some innocuous build warnings to make relevant ones more
visible.
- Update to new upstream release 5.0
* Feature: add pretty print for dsa/mv88e6xxx
* Feature: don't report UFO on kernels >= 4.14
* Fix (potential): zero initalize coalesce struct

==== fuse3 ====
Version update (3.3.0 -> 3.4.2)
Subpackages: libfuse3-3

- Amend License: field with BSD2c, from

https://github.com/libfuse/libfuse/commit/4c699e7debd99b178b9574e7dd20f36937ef296e#diff-3f1e2bdc537057b6ac2f74d095a431b8
- Update to 3.4.2
* The examples/passthrough_ll.c example filesystem has been significantly
extended.
* Support for copy_file_range has been added.
* Build system updates for non-Linux systems.
* Fixed a memory leak
* Added OpenAFS and HFS+ to whitelist
* Docu updates

==== geocode-glib ====
Version update (3.26.0 -> 3.26.1)
Subpackages: libgeocode-glib0 typelib-1_0-GeocodeGlib-1_0

- Update to version 3.26.1:
+ Fix crashes caused by Nominatim server changes.
+ Fix warnings when building the API documentation.

==== gtk3 ====
Version update (3.24.5 -> 3.24.7)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-tigrigna gtk3-immodule-vietnamese
gtk3-immodule-xim gtk3-lang gtk3-tools libgtk-3-0 typelib-1_0-Gtk-3_0

- Update to version 3.24.7:
+ Undeprecate gtk_window_present.
- Update to version 3.24.6:
+ Link against fribidi.
+ Broadway: Ensure focus on click.
+ Fix some compiler warnings.
+ Improve menu positioning with move-to-rect.
+ Improve activation of the onscreen keyboard.
+ Use C locale when generating code.
+ Treeview: Make sure separator nodes have height > 0.
+ theme: Fix some inconsistences for radii.
+ Updated translations.
- Drop gtk3-boo1121456-a11y-export.patch: Fixed upstream.

==== health-checker ====
Version update (1.2 -> 1.2.1)
Subpackages: health-checker-plugins-MicroOS

- Update to version 1.2.1
* Make sure telmetrics payload is not empty in success case

==== hwinfo ====
Version update (21.63 -> 21.64)

- Update of pci and usb ids (bsc#1127840) (#77)
- 21.64

==== kernel-firmware ====
Version update (20190221 -> 20190312)
Subpackages: ucode-amd

- Update to version 20190312:
* drm/amdgpu: update picasso to latest from 18.50 branch
* drm/amdgpu: update polaris12 to latest from 18.50 branch
* drm/amdgpu: update vega20 to latest from 18.50 branch
* rtw88: RTL8822C: update rtw8822c_fw.bin to v5.0
* rtl_bt: Update firmware for BT part of RTL8822C
* linux-firmware: update Marvell 8787/8801/8887 firmware images
* linux-firmware: update Marvell 8897/8997 firmware images
* nfp: update Agilio SmartNIC firmware to rev 2.1.16.1
* QCA: Add the fw files for BT Chip QCA6174.

==== lftp ====

- Refresh "relax-ssh-password-prompt-recognition.patch" to the
solution upstream chose in commit 0bcd1d2d6bfb9d53. The previous
patch assumed incorrectly that the underlying buffer would always
contain a NUL-terminated string. [bsc#1120946]

==== libvirt ====
Subpackages: libvirt-bash-completion libvirt-client libvirt-daemon
libvirt-daemon-driver-interface libvirt-daemon-driver-libxl
libvirt-daemon-driver-lxc libvirt-daemon-driver-network
libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter
libvirt-daemon-driver-qemu libvirt-daemon-driver-secret
libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core
libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-gluster
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-iscsi-direct
libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath
libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi
libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- supportconfig: collect rotated logs in /var/log/libvirt/*
Modified libvirt-supportconfig
bsc#1124667
- hook: encode incoming XML to UTF-8 before passing to lxml etree
fromstring method
Modifed suse-qemu-domain-hook.py
boo#1123642
- libxl: change autoballooning default to disabled
suse-libxl-disable-autoballoon.patch
jsc#SLE-3059
- conf: add new 'xenbus' controller type
09eb1ae0-conf-add-xenbus-controller.patch
- libxl: support Xen's max_grant_frames setting with maxGrantFrames
attribute on the xenbus controller
fb059757-libxl-add-xenbus-controller.patch,
ec5a1191-libxl-support-max-grant-frames.patch,
5a64c202-xenconfig-support-max-grant-frames.patch
bsc#1126325
- Replace patches with upstream variants
Old:
0001-apparmor-Check-libvirtd-profile-status-by-name.patch,
0001-qemu-Fix-query-cpus-fast-target-architecture-detecti.patch
New:
411cdaf8-apparmor-check-profile-name.patch,
696239ba-qemu-fix-query-cpus-fast.patch

==== libyui-qt ====
Version update (2.49.15 -> 2.49.16)

- Add icons for partitioner (boo#1118521)
- 2.49.16

==== llvm7 ====
Subpackages: clang7 libLLVM7 libLTO7 libc++-devel libc++1 libc++abi-devel
libc++abi1 libclang7 libomp7-devel

- Remove -fno-strict-aliasing, which upstream doesn't use any more
since r245304 in 2015. (http://reviews.llvm.org/D12036)
It's probably also not needed for modern versions of GCC.
It was enabled in r105644 because of some bugs there.
- Add a clang-%{_sonum} symlink, which is referenced by
/usr/lib64/cmake/clang/ClangTargets.cmake (boo#1120098)
- Package clang builtin headers with libclang. The library is
basically unusable without the builtin headers. Currently
consumers of libclang have to require clang as well, although
only the headers are needed.

==== open-vm-tools ====
Subpackages: libvmtools0 open-vm-tools-desktop

- Link VGAuthService to libxmlsec1 rather than libxml-security-c for
SLES 15 and SLES 15 SP1. It requires libxmlsec1 to be available in the
base. VGAuthService is already being linked with libxmlsec1 for
SLES 12 SP4. (bsc#1122435)

==== perl-DateTime-Format-Builder ====
Version update (0.81 -> 0.82)

- updated to 0.82
see /usr/share/doc/packages/perl-DateTime-Format-Builder/Changes
0.82 2019-03-03
- Removed use of Class::Factory::Util. That distro is poorly maintained (by
me) and it has some issues with its use of Module::Build. This distro
(DateTime-Format-Builder) really doesn't need to use Class::Factory::Util.

==== perl-Glib ====

- Add perl-Glib-1.328-glib2.59-comment-linebreaks.patch: Fix build
with new glib2. Patch from fedora.

==== perl-Sub-Quote ====
Version update (2.005001 -> 2.006003)

- updated to 2.006003
see /usr/share/doc/packages/perl-Sub-Quote/Changes
2.006003 - 2019-03-10
- releasing as stable
2.006_002 - 2019-01-29
- Fix quotifying of backslashes in utf8-flagged strings on perl 5.10.0.
2.006_001 - 2019-01-07
- avoid warnings or failures on new perls when testing quoting UTF-8 strings
- test quotify output under utf8 pragma
- fix quoting of negative NaN
2.006_000 - 2018-12-29
- don't test threads behavior on perl < 5.8.5, since they are too unstable
- more tests
- preserve inf, nan, and false in quotify
- improve accuracy of quotified floating point numbers
- SUB_QUOTE_DEBUG can now be set to sub names, package names, or a regex to
match against the code to filter which generated subs are printed to STDERR.

==== perl-libwww-perl ====
Version update (6.36 -> 6.37)

- updated to 6.37
see /usr/share/doc/packages/perl-libwww-perl/Changes
6.37 2019-03-06 20:49:26Z
- Improve ->add_handler documentation (GH #272) (Julien Fiegehenn)
- Alter our rule set to allow IPv6 proxy hosts beginning with [. (GH #237)
- Add a jigsaw test for 307 redirects (GH#285) (Nik LaBelle)

==== php7 ====
Subpackages: apache2-mod_php7 php7-bcmath php7-bz2 php7-calendar php7-ctype
php7-curl php7-dba php7-devel php7-dom php7-exif php7-fastcgi php7-ftp php7-gd
php7-gettext php7-gmp php7-iconv php7-json php7-ldap php7-mbstring php7-mysql
php7-odbc php7-openssl php7-pdo php7-pear php7-pgsql php7-shmop php7-snmp
php7-sockets php7-sqlite php7-sysvsem php7-sysvshm php7-tidy php7-tokenizer
php7-wddx php7-xmlreader php7-xmlwriter php7-xsl php7-zlib

- upstream bug #41631 is already fixed [bsc#1129032]
- deleted sources
- README.default_socket_timeout (not needed)

==== python-passlib ====

- Add patch to fix libxcrypt compatibility:
* python-passlib-1.7.1-libxcrypt-compat.patch
- Do not use symlinks when creating fdupes

==== re2 ====
Version update (20190101 -> 20190301)

- Update to 2019-03-01:
* developer visible changes only

==== rubygem-pkg-config ====
Version update (1.3.2 -> 1.3.6)

- updated to version 1.3.6
see installed NEWS
== 1.3.6 - 2019-03-09
=== Improvements
* Added support for Homebrew environment without pkg-config formula.
== 1.3.5 - 2019-03-08
=== Fixes
* Fixed MSYS2 detection installed at non standard folder.
[GitHub:ruby-gnome2/ruby-gnome2#1271][Reported by Simon Arnaud]
=== Thanks
* Simon Arnaud
- updated to version 1.3.4
see installed NEWS
== 1.3.4 - 2019-02-19
=== Fixes
* Fixed 32bit MinGW Ruby detection.
[GitHub:ruby-gnome2/ruby-gnome2#1274][Reported by noanoa07]
=== Thanks
* noanoa07
== 1.3.3 - 2019-02-10
=== Improvements
* Improved MSYS2 detection on Windows.
[GitHub#16][Reported by dsisnero]
=== Thanks
* dsisnero

==== sshfs ====
Version update (3.5.0 -> 3.5.1)

- Update to version 3.5.1
* Documentation updates
* Build system updates
* Added "BindInterface" as valid "-o" option.

==== tlp ====
Version update (1.2 -> 1.2.1)
Subpackages: tlp-rdw

- Update to version 1.2.1:
* Fix unknown command "chargeonce" (gh#linrunner/TLP#391).
- Change from %systemd_requires to %systemd_ordering

==== tracker ====
Version update (2.1.8 -> 2.2.1)
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- Update to version 2.2.1:
+ Fix unichar unescaping.
+ Correctly Handle BIND in first place of a triples block.
+ Fix possible deadlock on WAL checkpoint.
+ Fix some double values not being deleted.
+ Fixed CHANGES_DONE_HINT handling in TrackerMonitor.
+ Ported data generator utilities to python3.
+ Ported functional tests to python3, reformatted to PEP-8.
+ Correctly apply ignored-directories-with-content filter on
monitor updates.
+ Build and test fixes.
+ Updated translations.

==== tracker-miners ====
Version update (2.1.6 -> 2.2.1)
Subpackages: tracker-miner-files tracker-miners-lang

- Update to version 2.2.1:
+ Whitelist syscall fadvise64_64.
+ Many fixes to functional tests.
+ Fix failed functional tests being reported as successful.
+ Updated translations.
- Update to version 2.2.0:
+ Disable guarantee_metadata by default. It was the case on
autotools.
+ Stop merging translations to schema files.
+ Test suite improvements.
+ Meson build improvements.
+ The functionality of tracker-miner-apps has been adopted by
tracker-miner-fs/tracker-extract.
+ All usage of deprecated TrackerSparqlBuilder is gone.
+ Fixes to desktop file indexing.
+ Multiple build and compile warning fixes.
+ Many test improvements and cleanups.
+ The functionality of tracker-miner-apps has been adopted by
tracker-miner-fs/tracker-extract.
+ Updated tracker-miner-fs and tracker-miner-rss to use
TrackerResource.
+ Support for building through autotools has been removed.
+ Plugged several leaks.
+ Other many build and code cleanups and fixes.
+ Updated translations.
- Switch to meson build system, remove all conditionals for meson
and remove all traces of autotools support.
- Drop tracker-miners-private.patch: finally fixed upstream
(probably by accident, but well).
- Add pkgconfig(gexiv2), pkgconfig(libavcodec),
pkgconfig(libavformat) and pkgconfig(libavutil) BuildRequires:
New dependencies, all optional except gexiv2.

==== transactional-update ====
Version update (2.13.2 -> 2.14)
Subpackages: transactional-update-zypp-config

- Update to version 2.14
- Warn user if contents of /var have been changed during update
- Noteworthy: swapped position of upperdir and lowerdir in fstab for better
readability
- Major update to the transactional-update guide

==== ucode-intel ====
Version update (20180807a -> 20190312)

- Update to 20190312 release (bsc#1129231)
- Processor Identifier Version Products
- Model Stepping F-MO-S/PI Old->New
- ---- new platforms ----------------------------------------
- AML-Y22 H0 6-8e-9/10 0000009e Core Gen8 Mobile
- WHL-U W0 6-8e-b/d0 000000a4 Core Gen8 Mobile
- WHL-U V0 6-8e-d/94 000000b2 Core Gen8 Mobile
- CFL-S P0 6-9e-c/22 000000a2 Core Gen9 Desktop
- CFL-H R0 6-9e-d/22 000000b0 Core Gen9 Mobile
- ---- updated platforms ------------------------------------
- HSX-E/EP Cx/M1 6-3f-2/6f 0000003d->00000041 Core Gen4 X series; Xeon
E5 v3
- HSX-EX E0 6-3f-4/80 00000012->00000013 Xeon E7 v3
- SKX-SP H0/M0/U0 6-55-4/b7 0200004d->0000005a Xeon Scalable
- SKX-D M1 6-55-4/b7 0200004d->0000005a Xeon D-21xx
- BDX-DE V1 6-56-2/10 00000017->00000019 Xeon D-1520/40
- BDX-DE V2/3 6-56-3/10 07000013->07000016 Xeon
D-1518/19/21/27/28/31/33/37/41/48, Pentium D1507/08/09/17/19
- BDX-DE Y0 6-56-4/10 0f000012->0f000014 Xeon
D-1557/59/67/71/77/81/87
- BDX-NS A0 6-56-5/10 0e00000a->0e00000c Xeon D-1513N/23/33/43/53
- APL D0 6-5c-9/03 00000032->00000036 Pentium N/J4xxx, Celeron
N/J3xxx, Atom x5/7-E39xx
- APL E0 6-5c-a/03 0000000c->00000010 Atom x5/7-E39xx
- GLK B0 6-7a-1/01 00000028->0000002c Pentium Silver N/J5xxx,
Celeron N/J4xxx
- KBL-U/Y H0 6-8e-9/c0 0000008e->0000009a Core Gen7 Mobile
- CFL-U43e D0 6-8e-a/c0 00000096->0000009e Core Gen8 Mobile
- KBL-H/S/E3 B0 6-9e-9/2a 0000008e->0000009a Core Gen7; Xeon E3 v6
- CFL-H/S/E3 U0 6-9e-a/22 00000096->000000aa Core Gen8 Desktop,
Mobile, Xeon E
- CFL-S B0 6-9e-b/02 0000008e->000000aa Core Gen8

==== unbound ====
Version update (1.8.3 -> 1.9.1)
Subpackages: libunbound2 unbound-anchor

- update to 1.9.1
Features
- Add local-zone type inform_redirect, which logs like type inform,
and redirects like type redirect.
- Perform canonical sort for 0x20 capsforid compare of replies,
this sorts rrsets in the authority and additional section before
comparison, so that out of order rrsets do not cause failure.
- Print query name with ip_ratelimit exceeded log lines.
Spaces instead of tabs in that log message.
- Print query name and IP address when domain rate limit exceeded.
Bug Fixes
- Fix #4224: auth_xfr_notify.rpl test broken due to typo
- Fix locking for libunbound context setup with broken port config.
- Fix case in which query timeout can result in marking delegation
as edns_lame_known.
- Set ub_ctx_set_tls call signature in ltrace config file for
libunbound in contrib/libunbound.so.conf.
- improve documentation for tls-service-key and forward-first.
- #10: fixed pkg-config operations, PKG_PROG_PKG_CONFIG moved out of
conditional section, fixes systemd builds, from Enrico Scholz.
- #9: For openssl 1.0.2 use the CRYPTO_THREADID locking callbacks,
still supports the set_id_callback previous API. And for 1.1.0
no locking callbacks are needed.
- #8: Fix OpenSSL without ENGINE support compilation.
- Wipe TLS session key data from memory on exit.
- Fix that log-replies prints the correct name for local-alias
names, for names that have a CNAME in local-data configuration.
It logs the original query name, not the target of the CNAME.
- Fix #4206: OpenSSL 1.0.2 hostname verification for FreeBSD 11.2.
- Fix that qname minimisation does not skip a label when missing
nameserver targets need to be fetched.
- Fix #4225: clients seem to erroneously receive no answer with
DNS-over-TLS and qname-minimisation.
- Note default for module-config in man page.
- Fix #13: Remove left-over requirements on OpenSSL >= 1.1.0 for
cert name matching, from man page.
- Fix capsforid canonical sort qsort callback.
- Fix pythonmod include and sockaddr_un ifdefs for compile on
Windows, and for libunbound.
- Fix the error for unknown module in module-config is understandable,
and explains it was not compiled in and where to see the list.
- In example.conf explain where to put cachedb module in module-config.
- In man page and example config explain that most modules have to
be listed at the start of module-config.
- Fix #4227: pair event del and add for libevent for tcp_req_info.
- Fix #4229: Unbound man pages lack information, about access-control
order and local zone tags, and elements in views.
- Fix #14: contrib/unbound.init: Fix wrong comparison judgment
before copying.
- Fix for python module on Windows, fix fopen.
- Remove memory leak on pythonmod python2 script file init.
- Remove swig gcc8 python function cast warnings, they are ignored.
- Print correct module that failed when module-config is wrong.

==== webkit2gtk3 ====
Version update (2.22.7 -> 2.24.0)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
libwebkit2gtk3-lang typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Update to version 2.24.0:
+ Added support fot content filtering.
+ Variation fonts support.
+ Fully emoji rendering support.
+ Added navigation and pinch zoom gestures for touchpads.
+ Support for JPEG2000 images.
+ Script dialogs are now modal to the current web view only.
+ New API to convert URI to format for display.
- Update to version 2.23.92:
+ Fix constructors returning a GObject in JSC GLib API.
+ Do not scan NPAPI plugins when plugins are disabled in
settings.
+ Add WebKitUserContentFilterStore to the API docs.
+ Fix several crashes and rendering issues.
+ Updated translations.
- Update to version 2.23.91:
+ Add new API to handle user content filters.
+ Fix a UI process crash while filling selection data during drag
and drop.
+ Fix deadlock on Linux/x64 between SamplingProfiler and VMTraps.
+ Fix several crashes and rendering issues.
+ Updated translations.
- Update to version 2.23.90:
+ Add a new setting to disable JavaScript elments from documents
during parsing.
+ Add new API to expose JavaScriptCore options.
+ Add support for JPEG2000 images.
+ Add support for back/forward touchpad gesture.
+ Add support for pinch zoom on touchpad.
+ Use a scrolled window in alert dialogs to handle long contents.
+ Sleep disabler now inhibits idle when a "System" sleep disabler
is requested.
+ Remove experimental sandboxing support, it's not yet ready for
stable release.
+ Fix a web process deadlock when starting the remote inspector.
+ Fix a crash when browsing inspector:// URI without port set.
+ Fix several crashes and rendering issues.
- Add openjpeg2 and openjpeg2-devel BuildRequires: New
dependencies.
- Drop webkit2gtk3-python3.patch: Not needed anymore.
- Disable bubblewrap, xdg-dbus-proxy and pkgconfig(libseccomp)
BuildRequires and bubblewrap, xdg-dbus-proxy Requires: Sandbox
support was disabled by upstream again.
- Stop passing -DENABLE_ACCELERATED_2D_CANVAS=ON to cmake, follow
upstream default.
- Update to version 2.23.3:
+ Fix rendering of emoji sequences containing zero with joiner.
+ Fallback to a colored font when rendering emojis.
+ Fix rendering artifacts on Youtube while scrolling under X11.
+ Remove DConf permissions from sandbox.
+ Fix build from release tarball with gtkdoc enabled.
+ Fix several crashes and rendering issues.
+ Updated translations.
- Update to version 2.23.2:
+ Fix rendering artifacts in some websites with accelerated
compositing enabled.
+ Add initial support for variation fonts.
+ Add new API to convert a URI to a format for display.
+ Make scrollbars follow gtk-primary-button-warps-slider setting.
+ Fix crashes when closing the WebDriver session.
+ Fix the build with OpenGL disabled.
+ Fix several crashes and rendering issues.
- Changes from version 2.23.1:
+ Add initial support for subprocess sandboxing in Linux.
+ Add new permission request type for media device information.
+ Make scrollbars follow gtk-primary-button-warps-slider setting.
+ Script dialogs are now modal to the current web view only.
+ Fix several crashes and rendering issues.
- Add bubblewrap, xdg-dbus-proxy and pkgconfig(libseccomp)
BuildRequires: New dependencies for subprocess sandboxing.
- Add bubblewrap and xdg-dbus-proxy Requires: They are needed at
runtime.
- Disable webkit2gtk3-python3.patch: Needs rebase or possibly
outright dropping as fixed, as some parts of them are checked in
upstream.

==== xfce4-screenshooter ====
Version update (1.9.3 -> 1.9.4)
Subpackages: xfce4-panel-plugin-screenshooter xfce4-screenshooter-lang

- Switched URL and Source to https:// in the spec file.
- Update to version 1.9.4
* Enhancements:
- Extended save function to also take files (bxo#14156)
- Show width and height of selection area (bxo#12664)
- Improved imgur dialog (bxo#14973)
- Don't save region/delay/show_mouse if region was specified from CLI
* Bugs fixed:
- React to core X input events when XInput is not available (bxo#15166)
- Fix crash and properly handle cursors on HiDPI
- Delay in panel plugin does not work (bxo#14604)
- Dropped obsolete macros


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups